%global pkgvers 0
%global scdate0 20230707
%global schash0 4a724b65438777020573ab64c9772294b329cad2
%global branch0 main
%global source0 https://github.com/VHDL/pyVHDLModel.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           pyvhdlmodel
Version:        0.27.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Abstract language model of VHDL in python
License:        BSD
BuildArch:      noarch

URL:            https://github.com/VHDL/pyVHDLModel

BuildRequires:  git python3-devel python3-setuptools pytooling
%if 0%{?fedora}
BuildRequires:  python3-pytest
%endif

Requires:       pytooling

%description
An abstract VHDL language model written in Python.


%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%if 0%{?fedora}
%py3_build
%endif


%install
%if 0%{?fedora}
%py3_install
%endif
%if 0%{?rhel}
mkdir -p %{buildroot}/%{python3_sitelib}/pyVHDLModel
cp -R pyVHDLModel/* %{buildroot}/%{python3_sitelib}/pyVHDLModel/
%endif


%files
%doc README.md
%license LICENSE.md
%{python3_sitelib}/*


%check
%if 0%{?fedora}
pushd tests
# % pytest
popd
%endif


%changelog
* Mon Apr 25 2022 Balint Cristian <cristian.balint@gmail.com>
- github update releases
